# Functional aspects of interneuron morphology in the subiculum

Interneurons in the subiculum  have a polar axonal cloud instead of a circular as found in other brain regions. Additionally, pyramidal neurons in the subiculum lack recurrent connections, but they connect via recurrent inhibition. Therefore, inhibition plays a major role in this circuitry and we pose the question, which function the extraordinary axon morphology serves in this setting.

### Ressources
- [Project wiki](https://itbgit.biologie.hu-berlin.de/compneurophys/subiculum_polar_interneurons/-/wikis/home)
- [Shared dropbox](https://www.dropbox.com/home/Hubinterneuron%20Freigabe)
- [Trello board](https://trello.com/b/E8kT6IC3/planar-interneurons)
- [Seafile](https://box.hu-berlin.de/#shared-libs/lib/71baa918-7a65-4fad-a385-4bbef07c4ef5)

### How to run the scripts

It is recommended to use Anaconda (https://www.continuum.io/downloads) to create a virtual environment with the necessary dependencies. With anaconda, it is a one button install. Af
ter cloning the repository and changing into the root folder, type
```
conda env create -f environment.yml
```

This creates an environment called interneuron_polarity, which can be activated via
```bash
conda activate interneuron_polarity
```

If you need additional packages, install them via `conda install` and update the environment file via

```bash
conda env export > environment.yml
```

To update the existing enviroment
```bash
conda-env update -f environment.yml
```


